Create BigQuery table group
Creates BigQuery table group.
- application/json
Request Body
subClientProperties object
subClientEntity object
clientName string requiredName of the cloud account
instanceName string requiredName of the Instance for which Table group has to be created
displayName stringinstanceId integerinstanceGUID stringclientId integerappName stringapplicationId integer requiredDefault value:
134entityInfo object
companyId integercompanyName stringmultiCommcellId integersubclientName string requiredProvide subclient name
cloudAppsSubClientProp object
instanceType stringGCP_BIGQUERY
cloudBigQuerySubclient object
cloudStagingPath stringcloudBigQueryBackupObject object[]
projectId string requiredGCP Bigquery project ID
datasetId string requiredplanEntity object
planId integer
Responses
- 200
- 400
- 409
- 500
OK
- application/json
- Schema
- Example (from schema)
- Table group creation
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object
warningCode integererrorCode integerwarningMessage stringentity object
subclientId integer_SubclType_ integer_type_ integer
{
"processinginstructioninfo": {
"attributes": [
{
"name": "string",
"value": "string"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "string",
"entity": {
"subclientId": 0,
"_SubclType_": 0,
"_type_": 0
}
}
}
{
"processinginstructioninfo": {
"attributes": [
{
"name": "exitval",
"value": "0"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "",
"entity": {
"subclientId": 4119,
"_SubclType_": 0,
"_type_": 0
}
}
}
Bad Request
Conflict
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "A subclient by this name already exists as part of this backup set.",
"errorCode": 3
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
value object
errorMessage stringerrorCode integer
{
"value": {
"errorMessage": "string",
"errorCode": 0
}
}
{
"errorMessage": "Failed to create new subclient.",
"errorCode": 1
}
Loading...